6.0.0-git
2019-03-21

[#10041] Some Coding Problem without noticable Implications
Summary Some Coding Problem without noticable Implications
Queue Kronolith
Queue Version 3.0.2
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester stephan (at) admin (dot) nabira (dot) de
Created 2011-05-04 (2878 days ago)
Due
Updated 2011-05-19 (2863 days ago)
Assigned
Resolved 2011-05-19 (2863 days ago)
Milestone 3.0.4
Patch No

History
2011-05-19 17:45:12 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 3.0.4
 
2011-05-19 17:45:03 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Kronolith_View_Day#events must be public (Bug #10041).

  2 files changed, 18 insertions(+), 28 deletions(-)
http://git.horde.org/horde-git/-/commit/d5d7725c5ecd01c564dcb5a1029c309f16e6833e
2011-05-04 09:06:24 stephan (at) admin (dot) nabira (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Some Coding Problem without noticable Implications
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
In the vincinity of tests I did, my logs showed the following line 
about 50 times in row, although I do not have a clue under which 
conditions it occures (although I belive it just happens when using 
kronolith non-dynamic) and it has no noticable implications on 
usability, I file this as a bug.

NOTICE: HORDE [kronolith] PHP ERROR: Indirect modification of 
overloaded property Kronolith_View_Day::$events has no effect [pid 
23826 on line 208 of "/var/www-ssl/horde4/kronolith/lib/View/Week.php"]

Saved Queries